# $Revision: 1.13.2.2 $, $Date: 2007/04/01 15:45:22 $
# TODO:
#  - do something with *.rdf file, there is file conflict with other lang packages
#
Summary:	Polish resources for Mozilla-thunderbird
Summary(pl):	Polskie pliki jzykowe dla Mozilli-thunderbird
Name:		mozilla-thunderbird-lang-pl
Version:	2.0
Release:	0.b2.2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}b2/linux-i686/xpi/pl.xpi
# Source0-md5:	300156225fac803cfca3efc39e4dcc22
URL:		http://www.thunderbird.pl/
BuildRequires:	unzip
Requires:	mozilla-thunderbird >= %{version}
Provides:	mozilla-thunderbird-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_thunderbirddir	%{_datadir}/mozilla-thunderbird
%define		_chromedir		%{_thunderbirddir}/chrome

%description
Polish resources for Mozilla-thunderbird.

%description -l pl
Polskie pliki jzykowe dla Mozilli-thunderbird.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_thunderbirddir}/{defaults/profile,searchplugins}}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/pl.jar $RPM_BUILD_ROOT%{_chromedir}/pl-PL.jar
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_thunderbirddir}/defaults/profile
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome.manifest $RPM_BUILD_ROOT%{_chromedir}/pl-PL.manifest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/pl-PL.jar
%{_chromedir}/pl-PL.manifest
%{_chromedir}/chromelist.txt
%{_thunderbirddir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-thunderbird-lang-pl.spec,v $
Revision 1.13.2.2  2007/04/01 15:45:22  glen
- noarch

Revision 1.13.2.1  2007/04/01 15:42:26  glen
- 2.0b2

Revision 1.13  2006/09/16 21:52:26  hawk
- updated to 1.5.0.7

Revision 1.12  2006/08/08 12:13:42  hawk
- updated to 1.5.0.5

Revision 1.11  2006/06/11 19:54:14  hawk
- oops! release 1

Revision 1.10  2006/06/11 19:50:34  hawk
- updated to 1.5.0.4

Revision 1.9  2006/04/30 21:01:48  dzeus
- md5

Revision 1.8  2006/04/30 09:01:04  dzeus
- up to 1.5.0.2, not tested

Revision 1.7  2006/02/28 13:26:52  qboosh
- proper md5 (for thunderbird 1.5, not firefox 1.5.0.1)
- really dropped installed-chrome.txt
- still doesn't work

Revision 1.6  2006/02/09 08:46:27  qboosh
- dropped installed-chrome.txt (not used in 1.5)

Revision 1.5  2006/02/09 01:32:11  wolvverine
- pl.manifest

Revision 1.4  2006/02/09 01:10:20  wolvverine
- NFY
- move chrome files

Revision 1.3  2006/02/09 00:57:30  wolvverine
- up to 1.5
- NFY

Revision 1.2  2006/02/02 12:19:32  qboosh
- fixed URL

Revision 1.1  2006/02/02 12:15:23  qboosh
- new, for 1.0.7 for now
  requires firefox-like installed-chrome.txt and mozilla-thunderbird.sh changes
  in mozilla-thunderbird package
